package lcsb.mapviewer.api;

import lcsb.mapviewer.annotation.SpringAnnotationConfig;
import lcsb.mapviewer.persist.SpringPersistConfig;
import lcsb.mapviewer.services.SpringServiceConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.security.core.session.SessionRegistryImpl;

@Configuration
@Import({SpringRestApiConfig.class, SpringPersistConfig.class, SpringServiceConfig.class, SpringAnnotationConfig.class})
public class SpringRestApiTestConfig {

  @Bean
  public SessionRegistryImpl sessionRegistry() {
    return new SessionRegistryImpl();
  }

}
